Any way to enable PSM Dev for Unity on 3.52 now we have dump/write access?

Discussion in 'PS Vita - Hacking & Homebrew' started by Voxel, Oct 6, 2015.

  1. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    Just a question that was hanging off my head, is there any way we could edit certain files to re-enable support for the PSM dev for Unity?

    Thanks in advance!
     
    Last edited by Voxel, Oct 6, 2015
  2. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    Does anyone want to answer me? :mellow:
     
    Last edited by Voxel, Oct 8, 2015
  3. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    ...Anyone?
     
  4. Duo8

    Duo8 I don't like video games

    Member
    3,463
    1,157
    Jul 16, 2013
  5. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    That...that wasn't what I meant.

    Now Sony have revoked PSM support, the Dev app can't start. (It shows the 'you must update' screen.)
    What I meant was is there any way to bring that support back through nand file injection throught the email app?
     
  6. Duo8

    Duo8 I don't like video games

    Member
    3,463
    1,157
    Jul 16, 2013
    Can you still "use" it? What version is it?

    There's PSM+ if you need to renew the licences, but you have to do it daily.
     
  7. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    My vita is on 3.52. (that's when they revoked the PSM support.) Now that's occured, we can only install the dev app, but not open it. (Like I said, it shows a message saying "you must update this application", Even though the app itself is on the latest version.) So that's why I thought about whether or not there's a way to inject certain nand files from 3.51 into 3.52 to re-enable PSM support.
     
  8. Duo8

    Duo8 I don't like video games

    Member
    3,463
    1,157
    Jul 16, 2013
    Currently there's absolutely no way to do this.

    I assume Sony implemented some dirty hack to block it, like a simple blacklist (best case scenario) or hardcoded (worst case scenario).
     
  9. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    Yeah... But that's only currently!

    We could try to examine the blocking method they used to be able to re-enable everything. Could take a while to do that, though.
     
  10. Duo8

    Duo8 I don't like video games

    Member
    3,463
    1,157
    Jul 16, 2013
    We could speculate.
    What does it say when you open it?
     
  11. Voxel
    OP

    Voxel *Witty Title*

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,254
    6,066
    Jun 27, 2015
    United Kingdom
    ¯\_(ツ)_/¯
    P_20151010_143021[1].jpg
    The problem is that it does that even though it's been updated to the latest version.
     
Loading...